'
' Author	  : Gavin Satur
' Date		  : 7th January 2011
' Description : This code is based on a sample taken from the QTP Automation Object Reference Help documentation.
'               You may customize settings in this file.
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

Dim qtApp 'As QuickTest.Application ' Declare the Application object variable
Dim qtTest 'As QuickTest.Test ' Declare a Test object variable

Set qtApp = CreateObject("QuickTest.Application") ' Create the Application object
qtApp.Launch ' Start QuickTest
qtApp.Visible = True ' Make the QuickTest application visible

qtApp.Open , True ' Open the test in read-only mode

' set run settings for the test
Set qtTest = qtApp.Test
qtTest.Settings.Run.OnError = "Stop"
qtTest.Run ' Run the test

WScript.StdOut.Write qtTest.Name & "," & qtTest.LastRunResults.Status & "," & qtTest.LastRunResults.LastError & "," & qtTest.LastRunResults.Path  ' Check the results of the test run
qtTest.Close ' Close the test

Set qtResultsOpt = Nothing ' Release the Run Results Options object
Set qtTest = Nothing ' Release the Test object
Set qtApp = Nothing ' Release the Application object
